Bug 461037 - RHN Satellite v5.1.0 Activation keys Usage column
RHN Satellite v5.1.0 Activation keys Usage column
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Ortel
Red Hat Satellite QA List
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-09-03 11:52 EDT by Jeff Ortel
Modified: 2009-09-17 03:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Ortel 2008-09-03 11:52:00 EDT
Description of problem:
On the Satellite v5.1.0 Activation Keys key screen, the "Usage" column does not show the number of Systems Registered Using This Key.  It only shows the "total" Usage limit set for each Activation Key created.  Tested on RHN 5.1.0 and compared to RHN 5.01.

How reproducible:
(1) Create Activation Key "1-T-A-AS-SN3AOI32"
(2) Set Usage to 1
(3) Save => Click Update Activation Key button
(4) View Activation Key on Activation Keys screen.  Usage shows only Usage limit of 1 and not 0/1.

Compared Satellite 5.1.0 to Satellite 5.0.1.  In Satellite 5.0.1 both the number of Systems Registered Using This Key and the total Usage limit set is visible => 0/1

Steps to Reproduce:
See above.

Actual results:
(1) create key "1-T-A-AS-SN3AOI32"
(2) Usage column shows only usage limit set "1"
Created Activation Key on Satellite v5.1.0 as follows:
Enabled?  Y
Description  T - AS - Applications Support
Key 1-T-N-AS-SN3AOI32
Usage 1

Expected results:
The Activation Keys screen => Usage column should show both the number of Systems Registered Using This Key and the usage limit set on the key => " 0/1".

Additional info:
RHN Satellite v5.1 .0 Reference Guide shows Activation Keys screen with Usage both fields.  The first number ( 0 ) preceding the slash is the number of systems currently registered and the second number ( 10 ) after the slash is the Usage limit set => 0/10
Comment 1 Justin Sherrill 2008-11-04 16:50:28 EST
Looks good to me.
Comment 2 Miroslav Suchý 2009-09-17 03:01:08 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.